Ticket #43021

canada_old.svg inkscape errors

Open Date: 2021-10-10 22:40 Last Update: 2021-10-19 00:22

Reporter:
Owner:
Type:
Status:
Closed
Component:
MileStone:
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Fixed
File:
1

Details

Loading canada_old.svg to inkscape results in:

WARNING: unknown type: svg:foreignObject
Canvas::on_idle: clean region is empty!

Ticket History (3/5 Histories)

2021-10-10 22:40 Updated by: cazfi
  • New Ticket "canada_old.svg inkscape errors" created
2021-10-10 22:47 Updated by: cazfi
  • Resolution Update from None to Accepted
Comment

Canvas size was also larger than the flag.

Attached patch fixes most of the problems, and I plan to push it in this form (leaving the remaining "WARNING: unknown type: svg:foreignObject" issue unresolved)

2021-10-12 23:58 Updated by: cazfi
Comment

This is targeted all the way back to S3_0 for the canvas size issue (all the canvas size's should be ok in S3_0. This one was missed because it's used only as a alt flag)

2021-10-19 00:22 Updated by: cazfi
  • Status Update from Open to Closed
  • Owner Update from (None) to cazfi
  • Resolution Update from Accepted to Fixed

Attachment File List

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login